/**
 * Core API v1 (OpenAPI: 3.0.1)
 * 
 *
 * NOTE: This class is auto generated by openapi-typescript-client-api-generator.
 * Do not edit the file manually.
 */

export class SubContractorLightResponse {
    public name: string;

    public id: string;

    public logo: string;

    public color: string;

    public meta: object;

    /**
     * Creates a SubContractorLightResponse.
     *
     * @param {string} name
     * @param {string} id
     * @param {string} logo
     * @param {string} color
     * @param {object} meta
     */
    constructor(name: string, id: string, logo: string, color: string, meta: object) {
        this.name = name;
        this.id = id;
        this.logo = logo;
        this.color = color;
        this.meta = meta;
    }
}